package com.cool.store.request.wallet;

import com.cool.store.common.PageBasicInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author suzhuhong
 * @Date 2025/11/19 13:56
 * @Version 1.0
 */
@Data
public class CoolAccountBatchQueryRequest extends PageBasicInfo {

    @ApiModelProperty(value = "关键字(账户名称、账户别名)")
    private String keyword;

    @ApiModelProperty(value = "账户状态 1 待提交 2 待鉴权 3 鉴权中 4开通 账户状态")
    private Integer accountStatus;

    @ApiModelProperty(value = "工商类型 1.企业 2.个体工商户 3.小微商户(自然人)")
    private Integer businessType;

    @ApiModelProperty(value = "门店id")
    private String outStoreId;

    private Integer walletType;

    public AccountBatchQueryRequest convertToAccountBatchQueryRequest() {
        AccountBatchQueryRequest target = new AccountBatchQueryRequest();
        target.setKeyword(this.getKeyword());
        target.setAccountStatus(this.getAccountStatus());
        target.setBusinessType(this.getBusinessType());
        target.setOutStoreId(this.getOutStoreId());
        target.setWalletType(this.getWalletType());

        WalletBasicPageInfo walletBasicPageInfo = new WalletBasicPageInfo();
        walletBasicPageInfo.setCurrentPage(this.getPageNum());
        walletBasicPageInfo.setPageSize(this.getPageSize());
        target.setPage(walletBasicPageInfo);
        return target;
    }


}
